Bug 1457132 - Deployment fails with Error: Duplicate declaration: Class[Nova::Migration::Libvirt] is already declared; cannot redeclare at /var/lib/heat-config/heat-config-puppet/df1c629e-d4ed-4708-813d-153dc641a67a.pp:113 on node compute-0.localdomain
Summary: Deployment fails with Error: Duplicate declaration: Class[Nova::Migration::Li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 9.0 (Mitaka)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1457738 1466882 1490942 1490953 1517268 1517269 1517302
Blocks: 1490951 1490954
TreeView+ depends on / blocked
 
Reported: 2017-05-31 08:01 UTC by Marius Cornea
Modified: 2017-11-24 14:57 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-57.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1490951 1490954 (view as bug list)
Environment:
Last Closed: 2017-06-19 14:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1504 0 normal SHIPPED_LIVE Important: Red Hat OpenStack Platform director security update 2017-06-19 18:45:36 UTC

Description Marius Cornea 2017-05-31 08:01:05 UTC
Description of problem:
Deployment fails with Error: Duplicate declaration: Class[Nova::Migration::Libvirt] is already declared; cannot redeclare at /var/lib/heat-config/heat-config-puppet/df1c629e-d4ed-4708-813d-153dc641a67a.pp:113 on node compute-0.localdomain

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates.noarch 0:2.0.0-56.el7ost

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP9 with 3 controller, 2 compute, 3 ceph nodes

Actual results:
Deployment fails:

03:38:56   deploy_stderr: |
03:38:56     Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::vncproxy::host'; class ::nova::vncproxy has not been evaluated
03:38:56     Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::vncproxy::vncproxy_protocol'; class ::nova::vncproxy has not been evaluated
03:38:56     Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::vncproxy::port'; class ::nova::vncproxy has not been evaluated
03:38:56     Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::vncproxy::vncproxy_path'; class ::nova::vncproxy has not been evaluated
03:38:56     Error: Duplicate declaration: Class[Nova::Migration::Libvirt] is already declared; cannot redeclare at /var/lib/heat-config/heat-config-puppet/df1c629e-d4ed-4708-813d-153dc641a67a.pp:113 on node compute-0.localdomain
03:38:56     Error: Duplicate declaration: Class[Nova::Migration::Libvirt] is already declared; cannot redeclare at /var/lib/heat-config/heat-config-puppet/df1c629e-d4ed-4708-813d-153dc641a67a.pp:113 on node compute-0.localdomain

Expected results:
Deployment complete.

Additional info:

Comment 8 Gurenko Alex 2017-06-04 09:59:06 UTC
Deploys successfully now with build 2017-05-31.1

Comment 9 Gurenko Alex 2017-06-04 10:00:00 UTC
[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-2.0.0-57.el7ost.noarch

Comment 11 errata-xmlrpc 2017-06-19 14:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1504


Note You need to log in before you can comment on or make changes to this bug.